# 	$Id: initscripts.spec,v 1.163 2001/09/17 21:34:30 warly Exp $	
%define version 6.27
%define release 11.3mdk

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _post_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

Summary: The inittab file and the /etc/init.d scripts.
Name: initscripts
Version: %{version}
Release: %{release}
License: GPL
Group: System/Base
Source0: initscripts-%{version}.tar.bz2
Patch0:	initscripts-mdkconf.patch.bz2
Patch1: initscripts-6.27-mdkconf-update4.patch.bz2
Patch2: initscripts-6.27-ia64-update4.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: mingetty, /bin/awk, /bin/sed, mktemp, e2fsprogs >= 1.18-2mdk
Requires: procps >= 2.0.7-8mdk, modutils >= 2.4.1
Requires: util-linux >= 2.10
Requires: gettext-base >= 0.10.35-20mdk
#Requires: sysklogd >= 1.3.31
Requires: /sbin/fuser, which, setup >= 2.1.9-3mdk
Requires: /sbin/ip, /usr/sbin/arping
Requires: perl-MDK-Common >= 1.0.1
Prereq: /sbin/chkconfig, /usr/sbin/groupadd, gawk, fileutils, /usr/bin/tr
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Conflicts: kernel <= 2.2, timeconfig < 3.0, pppd < 2.3.9, wvdial < 1.40-3
Conflicts: initscripts < 1.22.1-5, Aurora <= 7.2-17mdk
Requires: util-linux >= 2.10s, mount >= 2.11g, SysVinit
BuildRequires: glib-devel popt-devel python findutils

%description
The initscripts package contains the basic system scripts used to boot
your Mandrake system, change run levels, and shut the system down cleanly.
Initscripts also contains the scripts that activate and deactivate most
network interfaces.

%prep
%setup -q
%patch0 -p2
%patch1 -p1 -b .update
%ifarch ia64
%patch2 -p1 -b .ia64
%endif

%build
make
make -C mandrake/ CFLAGS="$RPM_OPT_FLAGS"
pushd po/ && \
for i in *.po;do file $i|grep -q empty && rm -f $i;done && \
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install 
mkdir -p $RPM_BUILD_ROOT/var/run/netreport
chmod u=rwx,g=rwx,o=rx $RPM_BUILD_ROOT/var/run/netreport

#MDK
make -C mandrake/ install ROOT=$RPM_BUILD_ROOT mandir=%{_mandir}

python mandrake/gprintify.py `find %{buildroot}/etc/rc.d -type f`

%find_lang %{name}

# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
find $RPM_BUILD_ROOT -type f|sed '
1i\
%defattr (644, root, root, 755)
s:'"$RPM_BUILD_ROOT"'::
s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
' >> %{name}.lang

%pre
/usr/sbin/groupadd -g 22 -r -f utmp

%post
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp
touch /var/run/utmp
chown root.utmp /var/log/wtmp /var/run/utmp
chmod 664 /var/log/wtmp /var/run/utmp

%_post_service random

%_post_service netfs

%_post_service network

%_post_service rawdevices

%_post_service sound

%_post_service alsa

%_post_service kheader

# handle serial installs semi gracefully
if [ $1 = 0 ]; then
  if [ "$TERM" = "vt100" ]; then
      tmpfile=`mktemp /etc/sysconfig/tmp.XXXXXX`
      sed -e '/BOOTUP=color/BOOTUP=serial/' /etc/sysconfig/init > $tmpfile
      mv -f $tmpfile /etc/sysconfig/init
  fi
fi

# dup of timeconfig %post - here to avoid a dependency
if [ -L /etc/localtime ]; then
    _FNAME=`ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'`
    rm /etc/localtime
    cp -f $_FNAME /etc/localtime
    if ! grep -q "^ZONE=" /etc/sysconfig/clock ; then
      echo "ZONE=\"$_FNAME"\" | sed -e "s|[^\"]*/usr/share/zoneinfo/||" >> /etc/sysconfig/clock
    fi
fi

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

%ifnarch sparc sparc64
%_post_service usb
%endif

# handle serial installs semi gracefully
if [ $1 = 0 ]; then
  if [ "$TERM" = "vt100" ]; then
      tmpfile=/etc/sysconfig/tmp.$$
      sed -e '/BOOTUP=color/BOOTUP=serial/' /etc/sysconfig/init > $tmpfile
      mv -f $tmpfile /etc/sysconfig/init
  fi
fi

# dup of timeconfig %post - here to avoid a dependency
if [ -L /etc/localtime ]; then
    _FNAME=`ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'`
    rm /etc/localtime
    cp -f $_FNAME /etc/localtime
    if ! grep -q "^ZONE=" /etc/sysconfig/clock ; then
      echo "ZONE=\"$_FNAME"\" | sed -e "s|[^\"]*/usr/share/zoneinfo/||" >> /etc/sysconfig/clock
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			etc/locale/$i/LC_MESSAGES/
		break
	fi
done

%preun
%_preun_service random

%_preun_service netfs

%_preun_service network

%_preun_service rawdevices

%ifnarch sparc sparc64
%_preun_service usb
%endif

%_preun_service sound

%_preun_service alsa

%_preun_service kheader

%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; obsolete in 2.4. kernel|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/network-scripts
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
/etc/sysconfig/network-scripts/ifdown
%config(noreplace) /sbin/ifdown
%config(noreplace) /etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
%config(noreplace) /sbin/ifup
%dir /etc/sysconfig/console
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/tmp
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
%config(noreplace) /etc/sysconfig/networking/ifcfg-lo
%config(noreplace) /etc/sysconfig/rawdevices
%config(noreplace) /etc/sysconfig/network-scripts/network-functions
%config(noreplace) /etc/sysconfig/network-scripts/network-functions-ipv6
%config(noreplace) /etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
%config(noreplace) /etc/sysconfig/network-scripts/ifup-post
%config(noreplace) /etc/sysconfig/network-scripts/ifdown-sl
%config(noreplace) /etc/sysconfig/network-scripts/ifdown-ppp
%config(noreplace) /etc/sysconfig/network-scripts/ifup-sl
%config(noreplace) /etc/sysconfig/network-scripts/ifup-routes
%config(noreplace) /etc/sysconfig/network-scripts/ifup-plip
%config(noreplace) /etc/sysconfig/network-scripts/ifup-plusb
%config(noreplace) /etc/sysconfig/network-scripts/ifup-ipv6
%config(noreplace) /etc/sysconfig/network-scripts/ifdown-ipv6
%config(noreplace) /etc/sysconfig/network-scripts/ifup-sit
%config(noreplace) /etc/sysconfig/network-scripts/ifdown-sit
%config(noreplace) /etc/sysconfig/network-scripts/ifup-aliases
%config(noreplace) /etc/sysconfig/network-scripts/ifup-ppp
%config(noreplace) /etc/sysconfig/network-scripts/ifup-wireless
%config(noreplace) /etc/X11/prefdm
%config(noreplace) /etc/inittab
%dir /etc/rc.d
%dir /etc/rc.d/rc[0-9].d
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/init.d
/etc/rc[0-9].d
/etc/rc
%dir /etc/rc.d/init.d
/etc/rc.local
/etc/rc.sysinit
%config(noreplace) /etc/rc.d/init.d/*
%config(noreplace) /etc/rc.d/rc
%config(noreplace) /etc/rc.d/rc.local
%config(noreplace) /etc/rc.d/rc.sysinit
%config(noreplace) /etc/sysctl.conf
%config(noreplace) /etc/profile.d/lang.sh
%config(noreplace) /etc/profile.d/lang.csh
#mdk
%config(noreplace) /etc/sysconfig/installkernel
#mdk
%config(noreplace) /etc/sysconfig/usb
#mdk
%config(noreplace) /etc/sysconfig/alsa
#mdk
%config(noreplace) /etc/profile.d/inputrc.sh
#mdk
%config(noreplace) /etc/profile.d/inputrc.csh
#mdk
%config(noreplace) /etc/profile.d/tmpdir.sh
#mdk
%config(noreplace) /etc/profile.d/tmpdir.csh
/usr/sbin/sys-unconfig
/sbin/setsysfont
/bin/doexec
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/getkey
%attr(2755,root,root) /sbin/netreport
/sbin/initlog
/sbin/minilogd
/sbin/service
#mdk
/usr/sbin/rebootin
#mdk
/sbin/installkernel
#mdk
/usr/share/loader/
#mdk
/usr/share/alsa/
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%config(noreplace) /etc/ppp/ip-up
%config(noreplace) /etc/ppp/ip-down
%config(noreplace) /etc/ppp/ip-up.ipv6to4
%config(noreplace) /etc/ppp/ip-down.ipv6to4
%config(noreplace) /etc/initlog.conf
%doc sysconfig.txt sysvinitfiles ChangeLog static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
%config(noreplace) /etc/modules
%config(noreplace) /etc/rc.d/rc.modules
%ifnarch sparc
/usr/sbin/supermount
%endif
%ifarch %ix86 ppc ia64
/usr/sbin/detectloader
%endif
/usr/bin/*
%dir /etc/locale
%dir /etc/locale/*
%dir /etc/locale/*/LC_MESSAGES

%changelog
* Wed Oct 24 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.27-11.3mdk
- Regenerate Patch2: for elilo/ia64
- Update to 10.4mdk from main branch with important fixes for:
  - Supermount Product incorrect options (#5684)
  - non rootfs filesystems that are never checked
  - tmp removal in mandrake_everytime doesn't print the failure (#5728)
  - mandrake_consmap service shouldn't be restarted
  - installkernel make it more robust

* Wed Oct 17 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.27-11.2mdk
- Update elilo script with ability to add an EFI boot menu entry

* Wed Oct 17 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.27-11.1mdk
- Fix elilo script

* Fri Sep 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.27-11mdk
- Patch1: updates for IA-64:
  - /sbin/installkernel: the kernel is now located in /boot/efi
  - /usr/share/loader/make-initrd: initrd is also in /boot/efi
  - /usr/share/loader/elilo: new
  - /usr/sbin/detectloader: always return ELILO

* Mon Sep 17 2001 Warly <warly@mandrakesoft.com> 6.27-10mdk
- mandrake/mandrake_everytime: temporary patch to prevent boot error
message on cdrom and floppy due to supermount

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-9mdk
- rc.d/rc: add chvt 11 to rc instead of 12 (Warly)
- lang.sh: If RPM_INSTALL_LANG is not defined, don't try to guess
it; it will mess what is in /etc/rpm/macros (Pablo).
- lang.sh, rc.d/rc, rc.d/rc.sysinit, rc.d/init.d/mandrake_consmap:
Added console font patch from Borsenkow Andrej (Pablo).
- po/: hr.po, uk.po: updated Ukrainian and Croatian files (Pablo).
- installkernel: If NOLINK then even for initrd don't do a link (Chmouel).

* Sun Sep 16 2001 Pixel <pixel@mandrakesoft.com> 6.27-8mdk
- rc.d/init.d/functions: fix rc return of function daemon

* Sun Sep 16 2001 Warly <warly@mandrakesoft.com> 6.27-7mdk
- rc.d/rc.sysinit: change aurora vt from 12 to 11

* Sat Sep 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-6mdk
- init.d/functions: added libsafe support.

* Thu Sep 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-5mdk
- added fr man pages in package (tvignaud).
- ifown: don't use HWADDR as we don't rely anymore on config file to shutdown
the interface.
- halt: use the right path for powerfail (Juergen Holm).

* Tue Sep 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-4mdk
- ifdown: shutdown ip adresses according to the kernel and running dhcp client and not from what is configured.
- rc.sysinit: do not unmount /initrd if /initrd/loopfs is mounted (happens for root loopback) (Pixel)
- init.d/netfs: remove unmounting loopback (Pixel)
  (cuz it's redhat specific, don't go along with mdk loopback, and has nothing to do in netfs)

* Sun Sep  9 2001 Pixel <pixel@mandrakesoft.com> 6.27-3mdk
- rc.sysinit: fix&update loopback special code

* Sat Sep  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-2mdk
- rc.sysinit: restore from /lib/dev-state before starting devfsd (Andrej Borsenkow).
- rc.sysinit: clean dynamic desktop directories on startup.
- po: updated Bosnian, Norwegian, Swedish and Turkish files (Pablo)
- po: Added Irish file (Pablo)

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.27-1mdk
- 6.27

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.17-7mdk
- Added French man pages (Pablo)
- ifup ifdown: completed HWADDR support.

* Wed Aug 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.17-6mdk
- force the copy of /lib/dev-state files.
- po updates (Pablo, Fabman)
- send HUP signal to devfsd when the filesystems are mounted.
- lang.csh: don't have any error when LANG is unset (Pixel)

* Sat Aug 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.17-5mdk
- fixed locales lookup

* Fri Aug 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.17-4mdk
- mandrake/loader/common.pm: Use fstab to get the root filesystem if
  we fail in /proc/cmdline (aka: not for grub).
- rc.d/rc.sysinit: restore saved permissions and links on boot (flepied).
- po/*: replaced Linux-Mandrake by Mandrake Linux (siegle).
- po/lt.po: updated Lithuanian file (pablo).

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.17-3mdk
- rc.d/rc.sysinit: Move the devfsd initialisation at the early process
  before aurora.
- sysconfig/network-scripts/ifup: Fix ifup with dhcp.
- initscripts.spec: make ifcfg-lo as noreplace.

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.17-2mdk
- rc.d/rc.sysinit: Remove RH sound and usb stuff, move our usb
  stuff at the early beginning process.
- sysconfig/network-scripts/ifdown: Remove unneeded check_device_down
  and make ifdown work again.

* Mon Aug 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.17-1mdk
- merge 6.17

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.11-3mdk
- mandrake/usb: Fix USB loading.
- mandrake/loader/grub: Fix grub removal.
- rc.d/rc.sysinit: don't check /proc/lvm because it's created by the
  lvm module (pixel).
- po/*: Po upgrades (pablo).
- mandrake/Makefile: corrected rdiff target (flepied).

* Wed Aug 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.11-2mdk
- Fix halt.

* Sat Aug 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 6.11-1mdk
- merge with rh 6.11

* Mon Aug  6 2001 dam's <damien@mandrakesoft.com> 5.96-8mdk
- removed *ippp* from specfile.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.96-7mdk
- rc.d/rc.sysinit: Fix checking filesystems to display a \n.
- rc.d/init.d/halt: Add devfs to force unmounting.
- rc.d/rc.sysinit: no more need to do the /dev/cdrom link (tvignaud).

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 5.96-6mdk
- make detectloader works with devfs device naming (even when devfs is not mounted :)
- detectloader now requires perl-MDK-Common, adding it to Requires (i wonder why perl-base was not required yet!)

* Fri Jul 20 2001 dam's <damien@mandrakesoft.com> 5.96-5mdk
- corrected bad package( not cvs synchronised)

* Fri Jul 20 2001 dam's <damien@mandrakesoft.com> 5.96-4mdk
- typo

* Fri Jul 20 2001 dam's <damien@mandrakesoft.com> 5.96-3mdk
- removed if{up|down}-ippp, it's provided by isdn4net or isdn-light.

* Fri Jul  6 2001 Stefan van der Eijk <stefan@eijk.nu> 5.96-2mdk
- BuildRequires:	popt-devel

* Thu Jul  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.96-1mdk
- 5.96

* Mon Jun 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.87-3mdk
- service: If the user specify -d then launch the script (only for
  bash-shell one) in debug mode.
- po/eo.po: updated Esperanto file (pablo).

* Mon Jun 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.87-2mdk
- mandrake/mandrake_everytime: setup eth* (without configuring it)
 interfaces before the hotplug/pcmcia started so we are sure that what
 we have configured in /etc/modules.conf get the device we have
 affected.  NB: We assume max 10 interfaces for speed reason.

* Thu Jun 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.87-1mdk
- Merge with rh587.
- mandrake/kheader: Add restart target and update help.
- mandrake/usb: Add fully usb stop function to completely stop the
  usb system.
- mandrake/usb: add identifier codes to ohci_t for Apple USB
  controllers (stew).
- mandrake/usb: fix usb probe (gc).
- po/: hu.po, ru.po: updated Russian and Hungarian files (pablo).
- rc.d/rc.sysinit: allow to enable/disable DMA for IDE cdroms/dvdroms
  (stefan).
- mandrake/kheader: [I think I have found a problem in the kheader
  script, when you press F1 it doesn't show a complete description in
  ntsysv, you need to escape the description] (geofrrey).

* Wed May 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-6mdk
- mandrake/Makefile: too much cleanup is not good :p
- mandrake/loader/yaboot: Set the name of Stew instead of my (aka:
	bug him for yaboot ;)).
- mandrake/loader/Makefile: Install yaboot file on ppc.
- mandrake/loader/: Makefile, detectloader, detectloader.8,
  installkernel, rebootin, yaboot: Add yaboot support from Stew
  Benedict <sbenedict@mandrakesoft.com>.
- po/tr.po: updated Turkish file (pablo)
- rc.d/rc.sysinit: umount /dev if devfs mounted but devfsd isn't
  availlable (tvignaud).
- po/de.po: fixed typo (siegle).

* Fri May  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-5mdk
- sysconfig/network-scripts/ifup: Set also the MTU for dhcp device
	if specified.
- sysconfig/network-scripts/ifup: Don't do another check for MTU
  (thnks Oded Arbel <oded@geek.co.il>)
- rc.d/init.d/network: Fix FORWARD_IPV4 check #3468
- rc.d/rc.sysinit: Add -e to sysctl call.
- rc.d/rc.sysinit: Print Checking root filesystem with a \n and
  gprintf.
- mandrake/mandrake_firstime: Export the
  LD_LIBRARY_PATH=/usr/lib/mozilla before rebuild Mozilla registry.
- rc.d/rc.sysinit: If user has specified KEYBOARD_AT_BOOT="YES" in
  /etc/sysconfig/usb then force the load (like rh does).
- mandrake/usb.conf: add KEYBOARD_AT_BOOT variable to be set if we
  want to load the keyboard at the early process (in case of broken
  BIOS for example), add some comment also.
- mandrake/usb: If the interface is already loaded don't load it.
- sysconfig/network-scripts/ifup: Fix MTU setting (#2958).

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-4mdk
- rc.d/init.d/: network, netfs: Set quote when calling
  ${NETWORKING}. (#380)
- rc.d/rc.sysinit: Fix regexp of profile (#2028).
- mandrake/loader/detectloader: If user has specified a variable
  DEFAULT_LOADER="lilo" or grub then print it and exist (aka: don't
  detect).
- sysctl.conf: Disable ECN by default.
- po/: id.po, sv.po: Updated Swedish file, added indonesian file. (pablo)

* Mon Apr 30 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-3mdk
- initscripts.spec: fix modutils requires :-(.
- mandrake/loader/lilo: Detect which vga we running by the BOOT_IMAGE=
  we have booted (via cmdline) and what it set lilo.conf.
- mandrake/usb: After the detection relaunch the script to mounted them.
- mandrake/usb: Add support for multiple USB controller.
- mandrake/sound/sound.init: Add support for multiple cards.
- mandrake/sound/alsa.init: Add support for alias sound-slot-$0.

* Mon Apr 30 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-2mdk
- initscripts.spec: requires recent procps and modutils package.
- mandrake/mandrake_everytime: Use better detection when erasing
  directory (fpons).
- mandrake/usb: modprobe mousedev and keybdev instead of usbmouse
  and usbkbd.
- mandrake/loader/common.pm: Fix typo in message by David Relson
  <relson@osagesoftware.com>.

* Fri Apr 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.83-1mdk
- Merge with Red Hat 5.83.

* Tue Apr 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.82-10mdk
- make i18n available before the /usr is mounted by moving /usr/bin/gettext
  to /bin/gettext, and using that from the initscripts
- fix my fix (i18n when Aurora is not installed)

* Tue Apr 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.82-9mdk
- fix display of hide/end under Aurora (for check root filesystem
  and loopback filesystems)
- fix missing action results with check of local filesystems and
  start of RAID devices
- workaroung buggy Aurora in i18n mode for Failing and Passed
- when using a /usr, have it demounted when reboot (fredl)

* Sun Apr 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.82-7mdk
- mandrake/mandrake_firsttime: force generation of Mozilla registry (fcrozat).

* Sun Apr 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-6mdk
- mandrake/usb: make usb controller detection never fail (gc).

* Sat Apr 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-5mdk
- mandrake/loader/make-initrd: Don't do the same link for kernel22
  as others.
- mandrake/loader/*: Add support for secure kernel, and
  don't do System.map or config link since it done by rc.sysinit at
  boot time.
- rc.d/rc.sysinit: Don't force load of agpgart hack.
- mandrake/kheader: Regenerate boot.h always even on non mdk kernel
  (will be std kernel).
- rc.d/init.d/functions: If aurora is used and locale is not latin1,
  then don't use i18n (pablo).
- po/*: update po (pablo,flepied,gc).
 
* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-4mdk
- mandrake/loader/*: add enterprise kernel support.
- mandrake/sound/alsa.init: Fix daemon call.
- Update translations (pablo).

* Tue Apr 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-3mdk
- rc.d/init.d/halt: Remove RAID stuff here since it's done by the kernel.
- mandrake/sound/sound.init: If we have an /etc/.aumixrc then load it
  fine, but if we don't have any mix then set some default mixer to
  be able to have sound.
- mandrake/mandrake_firstime: Remove sound stuff from here.
- mandrake/tmpdir.sh: change -gt to -ge 3 as Vindy asked.
- mandrake/sound/alsa.init: Use another detection to find the PKLVL.
- mandrake/usb: when launching lspcidrake /dev/null the STDERR (gc)
- mandrake/usb: Always return 0 in detecting usb host do not fail (gc)

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-2mdk
- mandrake/sound/alsa.init: Add fake daemon to don't let the script
  start every time between init.
- mandrake/loader/lilo: Add support for memtest86.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.82-1mdk
- Merge with RedHat 5.82.

* Sun Apr  8 2001 Warly <warly@mandrakesoft.com> 5.78-9mdk
- add script from ipv6-Howto
- add ifup-sit and ifdown-sit

* Sun Apr  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-8mdk
- rc.d/rc.sysinit: Symlink the default config like System.map here.
- mandrake/loader/: common.pm, grub, installkernel.sysconfig, lilo:
  By default parse the /proc/cmdline to get the options we have
  booted, if user has specified NOCMDLINE then don't do it but try in
  any case to get the root= device, various bugfixes also.
- mandrake/loader/installkernel: NOCOPY="yes" if we are in REMOVE
  mode.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-7mdk
- mandrake/loader/grub: don't put a . when /boot is on another
  partition but just a / (fix add entry with grub when /boot is on
  another partition).
- po/vi.po: Added Vietnamese file (pablo).

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-6mdk
- mandrake/loader/installkernel: Call detectloader with -q.
- mandrake/loader/installkernel: Exit if we are DURING_INSTALL.
- mandrake/loader/detectloader: Add -q to don't warn message.
- mandrake/mandrake_firstime: removed call to obsolete scripts that
  converted mo files charsets (now gettext() handles this it self) (pablo).

* Fri Apr  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.78-5mdk
- single: init hangs if LANG is set
- don't restart services on %post

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-4mdk
- mandrake/loader/: common.pm, grub, installkernel.sysconfig, lilo:
  If user has specified an OPTIONS= in sysconfig file then append
  it to generated entry.
- mandrake/loader/common.pm: Don't die() when doing do_check to
  don't break make install when doing from kernel.
- mandrake/loader/: installkernel, installkernel.sysconfig: Add
  copy of .config to /boot/config-$version and ability in sysconfig to
  don't want to add entry.
- rc.d/rc.sysinit: Add a message when doing kudzu -q

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-3mdk
- mandrake/mandrake_firstime, rc.d/rc.sysinit: if
  /etc/sysconfig/hwconf doen't exist then launch kudzu -q, remove
  kudzu -q from mandrake_everytime (it will be called too late in
  any case).
- mandrake/loader/grub: Fix devices.map regexp parsing.
- po/sk.po: Updated Slovak file (pablo).

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.78-2mdk
- mandrake/loader/grub: Fix initrd entry (specify the
  grub_partition where to locate it).
- mandrake/loader/grub: Don't add /boot when /boot is on another
  partitions.

* Tue Apr  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.78-1mdk
- use server macros
- merged 5.78
- lvm fixes (#2899)

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-13mdk
- mandrake/loader/installkernel.sysconfig: comment example fixes.
- mandrake/loader/installkernel: Update usage to last options.
- mandrake/: usb, sound/sound.init: fix printk level detection.
- mandrake/loader/: rebootin, rebootin.8: Add -f (fastboot) option.
- mandrake/tmpdir.sh: Don't use > but -gt (sh sucks).
- mandrake/loader/installkernel: Don't do_link when removing.
- po/cs.po: Added Czech file (pablo).
- rc.d/init.d/network: put NETWORKING=no in /etc/sysconfig/network
  if not present (flepied).

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-12mdk
- mandrake/sound/alsa.init: Add status.
- mandrake/loader/grub: don't call do_check in $remove;
- mandrake/loader/lilo: Add checks of lilo.conf.
- mandrake/tmpdir.sh: Always use this if $SECURITY_LEVEL = 3.
- mandrake/loader/rebootin: Check if there is more than 0 entries
  in lilo.conf, check if the default we want is present before doing
  lilo -R.
- mandrake/loader/installkernel: Add support for global
  configuration file in /etc/sysconfig if present, by default produce
  link unless NOLINK is specified.

* Sat Mar 31 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-11mdk
- po/*: updates (pablo, siegle, tvignaud).
- mandrake/sound/alsa.init: Add condrestart (gc, fcrozat).
- initscripts.spec: Prereq /usr/bin/tr
- lang.sh: Fixed correctly the CJK bug with xdm_like programs (pablo).

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 5.61.1-10mdk
- rc.d/rc.sysinit: better error handling when fsck fails

* Thu Mar 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 5.61.1-9mdk
- changes requires from gettext to gettext-base

* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-8mdk
- initscripts.spec, mandrake/loader/Makefile,
  mandrake/loader/rebootin: Add rebootin here from grub and make it
  support lilo via detecting loader.

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-7mdk
- Complete rewrite of the sound system which add specific alsa script
  based on debian implementation.
- initscripts.spec, lang.sh, po/Makefile, rc.d/init.d/functions:
  Changed lang.sh so $X11_NOT_LOCALIZED don't apply when launching
  xdm-like changed the po/Makefile and *.spec so the translation
  filesgo to /usr/share/locale and only one is copied to /etc/locale
  (as /etc is small when in a separate partition) when
  /usr/share/locale is visible it is used.(pablo).
- rc.d/rc.sysinit: fixed problem of "stair effect" on some
  framebuffer displays. (pablo).

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-6mdk
- rc.d/rc.sysinit: Don't do any translation for the PS1 login or
  it break sulogin and break the rescue file system.

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-5mdk
- mandrake/loader/: grub, lilo: Backup config files before doing
  anything.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-4mdk
- mandrake/loader/common.pm: Add debug. Don't get_the_first_kernel
  get the kernel we going to uninstall. Don't detect only mdk kernel
  in get_the_first_kernel. Reactive generation of mkinitrd.
- mandrake/loader/installkernel: Add remove options.
- mandrake/loader/lilo: Fix regexp when doing remove.
- mandrake/loader/grub: Add remove options for grub.

* Tue Mar 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-3mdk
- mandrake/loader/lilo: set $debug to 0.
- mandrake/loader/installkernel: copy image with -$version and create
  link from vmlinuz-$version to vmlinuz (also for system.map)
  Autodetect by default.
- sysconfig/network-scripts/ifdown: make sure to kill dhcpcd while
  is running (gc).
- sysconfig/network-scripts/ifup-ppp: Add changes from
  daniel@format-software.com (#2312)

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-2mdk
- Improve installkernel (add remove to lilo and bugs fixes).

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.61.1-1mdk
- Add new installkernel.
- Merge with rh 5.61.1 (flepied).

* Wed Mar  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-10mdk
- mandrake/usb: Make USB as 8 to be before sound.
- *.po/: pablo update po files.

* Sun Mar  4 2001 Pixel <pixel@mandrakesoft.com> 5.60-9mdk
- flepied: don't check /proc/lvm because it's created by the lvm module.

* Sat Mar 3 2001 RedHog <redhog@mandrakesoft.com> 5.60-8mdk
- Fix to work with non-framebuffer-based Aurora Monitors.

* Tue Feb 27 2001 Pixel <pixel@mandrakesoft.com> 5.60-7mdk
- ugly fix for ia64 (see fg)
- fix detectloader for new grub

* Thu Feb 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-6mdk
- mandrake/mandrake_everytime: Improve detection of supermount as
  advised by Stefan and Andrej.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-5mdk
- mandrake/gprintify.py: Remove the workaround code.
- rc.d/rc.sysinit: Change the Setting Clock string as advised by pablo
	to don't need to workaround it for i18n.

* Mon Feb 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-4mdk
- mandrake/gprintify.py: Don't do translation of "Setting clock" since
	it segfault initlog at boot.
- rc.d/init.d/halt: Remove aumix stuff we do that in the sound script.

* Mon Feb 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-3mdk
- rc.d/rc.sysinit: Start keyboard after mounting filesystem.
- rc.d/init.d/halt: Unmount usb filesystem if exist before unmounting
  /proc

* Mon Feb 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.60-2mdk
- initscripts.spec: Check po files who are empty and rm -f it.
- rc.d/init.d/halt: Remount also read only the reiserfs fs.
- mandrake/usb: Don't make /etc/sysconfig/usb necessary Use depmod -A
  instead of touch modules.dep Mount USB filesystem with the right gid
  and devmod (fcrozat).  Don't exit if no usb is detected in
  /proc/devices Don't unload the module let the autoclean of modutils
  do it.
- mandrake/usb.conf: First version dropped from the install moved
  here.
- mandrake/Makefile: Add installation of usb.conf to /etc/sysconfig/usb
- initscripts.spec: Add /etc/sysconfig/usb.
- mandrake/usb: Add new ids of kind of usb host.
- rc.d/init.d/functions: Add patch from Stefan Siegel
	<siegel@informatik.uni-kl.de> to search LANG with ^LANG to don't
	have also KDE_LANG variable.
- mandrake/sound: Add patches from David Faure : A wrong regexp leads
	to the alsa module not being loaded.
- mandrake/mandrake_everytime: Erase with rm -rf not with rm -f.
- mandrake/mandrake_everytime: remove also the ksocket- files.
- mandrake/mandrake_everytime: rm -f /tmp/.esd* rm -f /tmp/orbit-* rm
  -f /tmp/ssh-* in TMP_CLEAN
- po/: az.po, cs.po, da.po, de.po, es.po, eu_ES.po, fi.po, fr.po,
	gl.po, hr.po, hu.po, id.po, initscripts.pot, is.po, it.po, ja.po,
	ko.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po, sl.po,
	sr.po, sv.po, tr.po, uk.po, wa.po, zh.po, zh_CN.GB2312.po: removed
	empty files updated po files with the strings of our scripts added
	Azeri file (pablo).
- po/de.po: new german version (siegel).
- po/de.po: new german version (siegel).
- rc.d/init.d/halt: fixed stop when in aurora mode (flepied).
- mandrake/gprintify.py: allow VAR=<value> cmd syntax (flepied).
- rc.d/rc.sysinit: set NIS domain name (flepied).
- src/initlog.c: declare basename to be able to work on ia64 (fg).
- rc.d/rc.sysinit: allow colored Mandrake (flepied).
- mandrake/gprintify.py: handle array vars (flepied).
- mandrake/gprintify.py: handle one or two i18n strings on the same
  line (flepied).
- rc.d/init.d/functions: export TEXTDOMAINDIR for gettext (flepied).
- po/Makefile: replace $var with %s when building .mo (flepied).
- mandrake/Makefile: don't remove source and spec when building the
  rpm (flepied).
- rc.d/rc.sysinit: i18n for booting aurora string (flepied).
- rc.d/rc.sysinit: removed USB stuff (flepied).
- mandrake/Makefile: corrected lookup of tar when building a rpm
  (flepied).
- sysconfig/network-scripts/ifup: removed merge mark (flepied).
- initscripts.spec: added BuildRequires python and findutils
  (flpeied).
- added ipv6 scripts (flepied).
- mandrake/gprintify.py: corrected rewrite of normal i18n strings
  (flepied).

* Wed Feb  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.60-1mdk
- merge with rh 5.60

* Fri Feb  2 2001 Pixel <pixel@mandrakesoft.com> 5.54-3mdk
- do not disable sysreq by default!

* Fri Jan 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.54-2mdk
- initial german translation (Stefan Siegel)
- corrected translation script. Now it uses the LANGUAGE variable, and checks for empty string (Pablo)
- corrected supermount detection (Chmouel)
- put usb at level 09 to have it before network and get usb-network loaded (Chmouel)
- corrected Aurora stuff
- added WIRELESS_ prefix to all wireless variables

* Wed Jan 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.54-1mdk
- merge with rh 5.54

* Mon Jan 22 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 5.27-44mdk
- fixed the console font loading stuff (better checkings for availability
  of all needed files)

* Fri Jan 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 5.27-43mdk
- sysconfig/network-scripts/ifup added wireless stuff.

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-42mdk
- mandrake/usb: Remove USB autoload stuff (for usbd), clean up the
  stop) section.

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 5.27-41mdk
- s/source/./ in mandrake/tmpdir.sh (beware of `source' which is allowed in
bash, but not in standard bourne shell or compatible, like ksh)

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-40mdk
- lang.sh: Add more i18n variables exported.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-39mdk
- mandrake/installkernel: Only don't update the link to /boot/vmlinuz
  when the link egal at the what we want to install.

* Fri Nov 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-38mdk
- lang.csh, setsysfont: Stefan Siegel patches (pablo).
- lang.csh, lang.sh, mandrake/listhome: modified lang.sh to read
  the i18n in the right order (user one first) (pablo).
- rc.d/init.d/network: Remove the egrep -v 'ifcfg-ippp[0-9]+$' like
  DarkDam's.

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.27-37mdk
- set HOME to /root in prefdm for kdm.

* Fri Oct 6 2000 RedHog <redhog@mandrakesoft.com> 5.27-36mdk
- Chvt 1 instaed of displaying a message throygh Aurora, that is, the
  last messages are in TEXT, but they are at least
  displayed. Previously, a user might have turned the computer off
  before filesystems where unmounted...

* Wed Oct  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-35mdk
- Add Prereq: fileutils.

* Wed Oct  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 5.27-34mdk
- remove webmin-postinstall script from mandrake_firsttime because it
  is now called AFTER the initscripts :-(

* Wed Oct  4 2000 Pixel <pixel@mandrakesoft.com> 5.27-33mdk
- rc.modules: don't try insmod -p before modprobe as insmod doesn't know about
aliases and i wanna use aliases!

* Tue Oct 3 2000 RedHog <redhog@mandrakesoft.com> 5.27-32mdk
- Fix to differentiate between reboot and halt in init.d/halt under
  Aurora...

* Fri Sep 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-31mdk
- mandrake/tmpdir.sh: Set a return instead of an exist (thanks
  cooker people).

* Thu Sep 28 2000 RedHog <redhog@mandrakesoft.com> 5.27-30mdk
- Fix not to do chvt when starting Aurora. Why was this ever done??

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-29mdk
- Makefile: Call make changelog of mandrake/Makefile
- rc.d/init.d/halt: Call /sbin/Monitor only if Aurora is installed.
- rc.d/rc.sysinit: Wonder where this bug come from but remove \t
  before display 'Press I to enter interactive startup'.
- rc.d/init.d/netfs: s|nonfs|nfs|; in mount -a.
- rc.d/init.d/functions: add a usleep 100000 in killproc functions.
  use builtins shell to read the pid and not calling head.
- mandrake/usb: Mount usb interface only when usb interface is not
  already mounted (or in builtins).
- rc.d/rc.sysinit: Use grep -i everywhere we grep in /proc/cmdline.
- src/: initlog.c, netreport.c: Sync with redhat version.
- sysconfig/network-scripts/ifup-ppp: Add IDLETIMEOUT before
  DEMAND=yes.
- mandrake/mandrake_firstime: Remove the call to sound start since
  now mandrake_firstime is called in rc.local and not rc.sysinit
  (sound is already started).
- rc.d/rc.local: Move the call to mandrake_firstime here.
- rc.d/rc.sysinit: don't call mandrake_firstime here, since when
  for example we put the mixer we need to launch which hangup the
  sound.
- rc.d/rc.sysinit: Don't load Aurora if we are in failsafe mode.

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.27-28mdk
- (functions): use -s /bin/sh for startup via su.

* Mon Sep 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 5.27-27mdk
- removed requirement of sysklogd to avoid inter-dependence

* Mon Sep 25 2000 RedHog <redhog@mandrakesoft.com> 5.27-26mdk
- Fix for interactive bootup under Aurora and addition of a nice
  "system succesfully taken down - it is now safe to turn it off" -
  message to Auroraish shutdown.

* Mon Sep 25 2000 dam's <damien@mandrakesoft.com> 5.27-25mdk
- ppp/ip-up : add adsl temp dns handling.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.27-24mdk
- prefdm: kill autologin on SIGTERM.

* Wed Sep 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-23mdk
- mandrake/detectloader: patch detectloader to skip cdroms (otherwise
  stops cd-audios) (pixel).
- rc.d/rc: Export the aurora variable.
- rc.d/init.d/halt: halt should halt when poweroff poweroff.

* Mon Sep 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-22mdk
- mandrake/installkernel: link for FB and smp to /boot/vmlinuz-$_.

* Sun Sep 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-21mdk
- rc.d/init.d/halt: Fix halt to poweroff.
- rc.d/rc.sysinit: Fix load of rc.modules.

* Wed Sep 13 2000 RedHog <redhog@mandrakesoft.com> 5.27-20mdk
- Fix for Aurora-disabling for fb-kernels with fb currently disabled

* Tue Sep 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-19mdk
- mandrake/usb: Rewrote usb devices detection and add the usb
  printer in the train.
- rc.d/init.d/halt: By default set halt with the poweroff option
  and if /halt exist halt witout poweroffing.

* Mon Sep 11 2000 Pixel <pixel@mandrakesoft.com> 5.27-18mdk
- remove unneeded is_depmod_necessary

* Fri Sep  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-17mdk
- mandrake/usb: Be quiet when grepping. Detect USB
  Storage. s|ZIP|Storage|;.

* Tue Sep  5 2000 Pixel <pixel@mandrakesoft.com> 5.27-16mdk
- modify detectloader for new grub

* Sun Sep 3 2000 RedHog <redhog@mandrakesoft.com> 5.27-15mdk
- setscreenchars is broken, so my last patch didn't help much :(

* Sat Sep  2 2000 RedHog <redhog@mandrakesoft.com> 5.27-14mdk
- fixes to setsysfont to be able to work without switching active vt
  to a non-graphical one (This was done to make it work nicely with
  Aurora)

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.27-13mdk
- add some checking about aurora

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 5.27-12mdk
- make the initscripts aurora aware

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-11mdk
- lang.sh: added support for variables allowing different
	localization in console and in X11 (pablo).
- rc.d/rc: Fix typo check for /etc/rc.d/rc* not /etc/rc*.
- mandrake/tmpdir.sh: Only set to TMPDIR when SECURE_TMP = yes in
  /etc/sysconfig/system.
- mandrake/Makefile: Put rc.modules in /etc/rc.d/
- mandrake/installkernel: Add config file parser of
  /etc/sysconfig/kernel (not really using it yet)
- rc.d/init.d/rawdevices, sysconfig/rawdevices: A new greatest hit.
- rc.d/init.d/halt: Remove USB Red Hat stuff (we have our own
  initscripts stuff).

* Tue Aug 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.27-10mdk
- prefdm: don't exit after autologin.
- do the right thing (tm) in /etc/rc.d/init.d scripts
- use (noreplace) for config files.

* Tue Aug 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-9mdk
- Move to /etc/init.d/ with symlinks.
- Upgrade to the last 5.44.

* Sat Aug  5 2000 Pixel <pixel@mandrakesoft.com> 5.27-8mdk
- mandrake/detectloader (detect): signature for grub updated for grub new
  version (recognizes both)

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-7mdk
- mandrake/installkernel: Rename some functions to avoid conflicts
  with drakxtool functions.  Correct initrd= (it's on a different
  line not on the same of kernel).
- sysconfig/network-scripts/ifup: Don't add a -i to DHCPCD for
   $DEVICE.
- sysconfig/network-scripts/ifup: Fix dhcp (s|DHCP|DYNCONFIG|) set
  DYNCONFIG when detecting BOOTPROT=DHCP
- sysconfig/network-scripts/ifup: Set pump as second preferred dhcp
  client after dhcpcd.
- sysconfig.txt, rc.d/init.d/network: Upgrade doc about depreciated
  option FORWARD_IPV4=.

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-6mdk
- mandrake/installkernel: Only import libDrakX when using with grub.  
- mandrake/installkernel: Detect where is the /boot partition when
  using grub (if not use the /)

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-5mdk
- mandrake/installkernel: correct the symlink for the current initrd.
- mandrake/usb: Still try to see if MOUSE|KEYBOARD=yes if auto
  detecting fails.
- mandrake/usb: Check if we have /proc/bus/usb/devices first and if
  we detect check if $VARIABLE != no.
- mandrake/usb: Mount /proc/bus/usb/ interfaces before detecting
  devices.

* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-4mdk
- mandrake/installkernel: Add initrd support.
- mandrake/installkernel: Grub != Lilo, grub don't have a = for default.

* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-3mdk
- mandrake/installkernel: Ask for boot image and System.map only on
  copy mode.
- mandrake/installkernel: Fix very stupid typo when checking if we
  are root.
 
* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-2mdk
- Merge with rh5_35.
- mandrake/usb: If nousb on the command line exit 0;

* Sun Jul 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.27-1mdk
- mandrake/usb: Don't use USB mouse and keyboard anymore, try to
  detect them like RH does.
- mandrake/installkernel: complete rewrite in perl.
- 5.27 (major changes, i guess i'll have some bugs report).
- BM.

* Thu Jul  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-50mdk
- mandrake/detectloader: Add denis modifications (#350).
- lang.sh: special hack so that right-to-left translations are only
  used in the console and not on X11 (no support yet). (pablo)
- mandrake/mandrake_firstime: fixed the making of whatis index to
  also be done for non English pages.
  Execute the "mdk_convert_translations" scripts if any (pablo)

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-49mdk
- mandrake/Makefile: add make test.
- mandrake/usb: try to use /etc/modules.conf or /etc/conf.modules
- mandrake/sound: try to use /etc/modules.conf or /etc/conf.modules

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-48mdk
- mandrake/mandrake_everytime: if user specify HDPARM_OPT use this
  options to optimize.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-47mdk
- mandrake/installkernel: don't try to rdev on another arch than x86.

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-46mdk
- mandrake/installkernel: fix another typo.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-45mdk
- sysctl.conf: timestamps with a 's'.
- rc.d/rc.sysinit: Set hwclock on alpha only when modules.dep is
  present.

* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-44mdk
- mandrake/installkernel: use $(uname -m) not $(uname -r) (thnks:
  guisseppe)..

* Fri Jun  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-43mdk
- mandrake/inputrc.csh: tcsh handles its command line itself;
  added the needed lines to have it recognize Home/End and arrow keys(pablo)
- ppp/ip-up: added support for dynamic DNS.(pablo).
- sysconfig/network-scripts/ifdown-ppp: fix CONFIG file sourcing.
- mandrake/installkernel: Fix chmou stupudity (again).

* Tue May 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-42mdk
- mandrake/installkernel: fix typo.

* Mon May 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-41mdk
- mandrake/usb: Don't load/unload keyboard on alpha (usb keyboard
  are builtins in alpha).
- mandrake/tmpdir.csh: Remove the /bin/csh to don't depend of csh.
- rc.d/rc.sysinit: Better devfs support (titi).
- mandrake/inputrc.csh: Remove = (not needed).

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-40mdk
- mandrake/Makefile: Include usb for alpha. 
- initscripts.spec: Include usb for alpha.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-39mdk
- mandrake/mandrake_everytime: Always clean /tmp/esrv* and
  /tmp/kio* files when CLEAN_TMP is set.
- mandrake/mandrake_everytime: Don't disable supermount	 on sparc
  (not even present).
- mandrake/usb: if USB=no in /etc/sysconfig/usb return 0
- mandrake/rc.modules: Fix typo.
- mandrake/installkernel: remove the \. from the label for lilo to
  minimize the chars.
- mandrake/installkernel: don't try to do something with lilo or
  grub when we are not on a x86 machines.
- mandrake/installkernel: Add --quiet options.
- mandrake/installkernel: remove the mdk for secure for lilo to minimize
  the chars.
- mandrake/Makefile: Add binfmt_aout to /etc/modules on alpha for netscape.
- rc.d/rc.sysinit: Merge Adam Lesback <adam@mandrakesoft.com> ppc change.

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 4.97-38mdk
- Patch for rc.sysinit for Powermac clock

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-37mdk
- mandrake/Makefile: Add various if{,n}eq $(ARCH) for alpha and sparc.
- mandrake/initscripts.spec: Add various %ifarch for alpha and sparc.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-36mdk
- mandrake/kheader: exit 0 when no mdk kernel.

* Wed May 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-35mdk
-  mandrake/inputrc.csh: Fix typo (jerome).

* Mon May  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-34mdk
- mandrake/usb: set sleep between loading interfaces.

* Sun May  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-33mdk
- mandrake/mandrake_firstime: fix when setting mixer and there is
 no mixer.

* Sat May  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-32mdk
- sysconfig/network-scripts/(ifup|ifdown): Set by default dhcpcd not dhcpxd.
- rc.d/init.d/network: Set ipv4 forwarding when  FORWARD_IPV4=(yes|true).

* Fri May  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-31mdk
- mandrake/usb: Add printer support.

* Fri May  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-30mdk
- mandrake/mandrake_firstime: set the mixer to 80% by default.
- mandrake/sound: use of aumix even for alsa.  printk=0 when loading
  modules.

* Tue May  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-29mdk
- rc.d/init.d/netfs: starting and stopping netfs properly.
- sysconfig/network-scripts/ifup{-aliases,plip}: remove old kernel
  compatibilities.

* Fri Apr 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-28mdk
- sysconfig/network-scripts/ifup (DHCP_ARGS): fix ugly ''basename
  command not found''
- sysconfig/network-scripts/ifdown (CONFIG): fix support for
  multiple dhcp client.

* Wed Apr 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-27mdk
- mandrake/usb: fix mounting proc usb and umount usbdevfs when stoping.
- mandrake/kheader: exit 0 when no mdk kernel.

* Mon Apr 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-26mdk
- mandrake/installkernel (grub_device): root=$root_device not $kversion.

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 4.97-25mdk
- mandrake/usb: fix missing 'fi'

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-24mdk
- mandrake/sound: Add alsa support.

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-23mdk
- mandrake/installkernel: move from kernel to here.
- mandrake/usb: Mount usbdevfs if present.
- mandrake/detectloader: Don't detect cdrom.

* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 4.97-22mdk
- mandrake/mandrake_firstime: call postinstall.sh for webmin if there

* Tue Apr 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-21mdk
- mandrake/detectloader.8: man pages of detectloader.
- mandrake/detectloader: A new greatest hit.

* Mon Apr 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-20mdk
- rc.d/rc: if no askrunlevel installed jump directly to runlevel 1.
- rc.d/rc: s|ASKRUNLEVEL|failsafe|;
- rc.d/rc.sysinit: s|ASKRUNLEVEL|failsafe|;

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-19mdk
- rc.d/rc.sysinit: check if ASKRUNLEVEL arg.
- rc.d/rc: if specify ASKRUNLEVEL on commandline then run
askrunlevel interactively.
- rc.d/rc: if we found the tag "halt: yes" then stop the script even
if no subsytem is touched.
- sysconfig/network-scripts/network-functions: /dev/null some
error message.
- sysconfig/network-scripts/ifdown: Check to make sure the device
is actually up
- src/netreport.c (main): if no args then show usage.
- src/minilogd.c: stat the PATH_LOG better.
- service: add --full-restart options.
- rc.d/rc.sysinit (CLOCKFLAGS): if no UTC then set up as localtime.
- rc.d/init.d/network: If this is a final shutdown/halt, check for
network FS, and unmount them even if the user didn't turn on netfs
- rc.d/init.d/network: setting syscontrol network here.
- rc.d/init.d/network: fix typos.
- rc.d/init.d/halt: specify when retrying to umount devices.
- ppp/ip-up: using "$@" instead of "$*"
- ppp/ip-down: using "$@" instead of "$*"
- mandrake/sound: Add level 6 in chkconfig.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-18mdk
- initscripts.spec: Conflicts: linuxconf <= 1.17r9 (for askrunlevel).
- mandrake/sound: new script.
- rc.d/rc.sysinit: check for executable when launching rc.modules.
- rc.d/rc.sysinit: remove sound stuff.
- rc.d/init.d/halt: remove sound stuff.
- rc.d/rc: if user ask for interactive setup, launch askrunlevel
  to change runlevel on the fly and (re)configure system before
  booting.

* Wed Apr 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-17mdk
- mandrake/usb: Try to find a usb adaptator.
- mandrake/usb: zip support.
- mandrake/supermount: lots of supermount fix from <denis@mandrakesoft.com>.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-16mdk
- sysconfig.txt: Upgrade doc.
- mandrake/mandrake_everytime: Clean up /tmp if it choose at
  install.
- rc.d/init.d/halt: don't umount /var/shm do this from
  /etc/fstab.
- rc.d/rc.sysinit: don't mount /var/shm do this from
  /etc/fstab.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-15mdk
- mandrake/supermount: add a chmod 0644 after writing the file
  (don't be nazi, let's permit the simple user to read the
  /etc/fstab file :\).

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-14mdk
- mandrake/supermount: fix multiple bugs (multiple cdrom, handle options).
- mandrake/mandrake_everytime: don't use insmod -p to detect is supermount 
  module is here.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-13mdk
- rc.d/init.d/network: don't exclude ipp[0-9] from interfaces.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-12mdk
- rc.d/rc.sysinit:  devfsd, shm support (titi).
- rc.d/init.d/halt: shm support (titi).

* Tue Mar 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-11mdk
- initscripts.spec: Add sysctl.conf in %files.

* Sat Mar 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-10mdk
- rc.d/rc.sysinit: ignore failure of symlinking System.map (aka	stderr to dave null)(pixel).
- mandrake/modules: new file kernel modules to load at boot time (btw: add vfat).
- mandrake/rc.modules: new file to load modules of /etc/modules.
- mandrake/supermount: Fix typo and chmou stupidity.
- mandrake/Makefile: Add kheader/rc.modules/modules.
- mandrake/mandrake_everytime: use better approach to detect if	
  supermount modules is not present.
- mandrake/mandrake_everytime: Remove the modprobe vfat.
- mandrake/mandrake_firstime: erase first logfile if the file is empty.
- initscripts.spec: Add kheader in %post %preun.
- initscripts.spec: Add rc.modules and modules in %files.
- initscripts.spec: chkconfig --del usb in %preun.
- initscripts.spec: Add changeLog in %doc.
- rc.d/rc.sysinit: remove generation of /boot/kernel.h (moved to
	kheader script).
- mandrake/kheader: new file
- mandrake/usb: fix description.
- sysconfig.txt: upgrade documentation.
- sysconfig/network-scripts/ifup: if BOOTPROTO=bootp launch them
  via pump.
- sysconfig/network-scripts/ifup: by default launch dhcpxd for
  DHCP if is not installed launch dhclient || dhcpcd || pump. If
  the variable DHCP_CLIENT= is specified in ifcfg-$device configure
  this one.

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-9mdk
- rc.d/rc.sysinit: fix buggy call in linuxconf stuff.
- mandrake/Makefile: include is_depmod_necessary
- mandrake/is_depmod_necessary.c: move it here from modutils package.

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 4.97-8mdk
- rc.d/init.d/halt: added removing of entry /initrd/loopfs in
/etc/mtab. removed unused lnx4win stuff

- rc.d/rc.sysinit: added adding of entry /initrd/loopfs in
/etc/mtab

- rc.d/rc.sysinit: move the chmou linuxconf stuff (buggy by the
way, sed doesn't exit code depending on succeeding subst)

* Sun Mar 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-7mdk
- mandrake/Makefile: fix typo.
- initscripts.spec: Conflicts with linuxconf <= 1.17r5
- rc.d/rc.sysinit: preliminary linuxconf profile support.
- rc.d/rc.local: don't display too much information in issue.net
  if SECURITY_LEVEL => 4.
- mandrake/supermount.8: minor modifications.
- mandrake/usb: remove unused sleep
- initscripts.spec: add inputrc.csh in %files.

* Sat Mar 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-6mdk
- initscripts.spec: add inputrc.csh in %files.

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-5mdk
- initscripts.spec: requires setup >= 2.1.9-3mdk (for inputrc).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-4mdk
- initscripts.spec: Adjust groups. 

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-3mdk
- rc.d/rc.sysinit: Remove nasty mount /boot stuff (pixel)
- mandrake/usb: Get working with the new configuration scheme for usb.
- mandrake/usb: Preferring to use usb-interface to usb-mouse-interface.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.97-2mdk
- *: upgrade to 4.97.
- ChangeLog: new one.
- initscripts.spec: clean-up spec.
- sysconfig/network-scripts/ifup: fix typo.
- sysctl.conf: sysrq = 1 on mandrake.
- service: Exclude mandrake_firstime | mandrake_everytime.
- mandrake/usb: make compatible with usb backport.

* Sun Feb  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.72-14mdk
- Don't optimize for DVD-ROM(#740).

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.72-13mdk
- Fix wrong supermount man pages.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com> 4.72-12mdk
- more intelligent prefdm (in case of bad sysconfig/desktop)

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.72-11mdk
- remove the -i switch to dhcpd (thanks Gary Simmons <darshu@sympatico.ca).

* Thu Dec 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add supermount manpages (camille).

* Wed Dec 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a supermount script to disable or enable supermount.
- fix typos.

* Wed Dec 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add makewhatis on first boot.

* Fri Dec 24 1999 Frederic Lepied <flepied@mandrakesoft.com> 4.72-4mdk
- fix halt not to call umount /proc.

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.72.
- Fix a lot of bugs.
